NACE Codes
Get a single NaceCode by identifier (id or code)
GET/api/opendata/nace_codes/{identifier}
Path parameters
identifierrequiredstring |
Responses
200Get a single NaceCodeNaceCode
Show fields (7)
idintegerPrimary key of the NACE code. Internal ID.
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
search_stringstringText that the entity can be searched by.
namestringName of the entity.
curl --request GET \
--url https://your-instance.iw-erp.de/api/opendata/nace_codes/42const options = {method: 'GET'};
fetch('https://your-instance.iw-erp.de/api/opendata/nace_codes/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/nace_codes/42"
response = requests.get(url)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('GET', 'https://your-instance.iw-erp.de/api/opendata/nace_codes/42');
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Get,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/nace_codes/42"),
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/nace_codes/42")
.get()
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/nace_codes/42"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/open_data_nace_code_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await OpenDataNaceCodeController.get('42');
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string",
"search_string": "string"
}Updates a single NaceCode
PUT/api/opendata/nace_codes/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataNaceCode2Show fields (4)
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
Responses
200Updates a single NaceCodeNaceCode
Show fields (7)
idintegerPrimary key of the NACE code. Internal ID.
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
search_stringstringText that the entity can be searched by.
namestringName of the entity.
curl --request PUT \
--url https://your-instance.iw-erp.de/api/opendata/nace_codes/42 \
--header 'content-type: application/json' \
--data '
{
"data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
}
}
'const options = {
method: 'PUT',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {code: 'string', level: 1, parent_code: 'string', isic_reference: 'string'}
})
};
fetch('https://your-instance.iw-erp.de/api/opendata/nace_codes/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/nace_codes/42"
payload = { "data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
} }
headers = {"content-type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PUT', 'https://your-instance.iw-erp.de/api/opendata/nace_codes/42', [
'body' => '{"data":{"code":"string","level":1,"parent_code":"string","isic_reference":"string"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Put,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/nace_codes/42"),
Content = new StringContent("{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/nace_codes/42")
.put(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/nace_codes/42"
payload := strings.NewReader("{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/open_data_nace_code_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/open_data_nace_code.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await OpenDataNaceCodeController.put(OpenDataNaceCode.fromJson({
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string",
"search_string": "string"
}Updates a single NaceCode
PATCH/api/opendata/nace_codes/{identifier}
Path parameters
identifierrequiredstring |
Request body application/json
dataNaceCode2Show fields (4)
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
Responses
200Updates a single NaceCodeNaceCode
Show fields (7)
idintegerPrimary key of the NACE code. Internal ID.
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
search_stringstringText that the entity can be searched by.
namestringName of the entity.
curl --request PATCH \
--url https://your-instance.iw-erp.de/api/opendata/nace_codes/42 \
--header 'content-type: application/json' \
--data '
{
"data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
}
}
'const options = {
method: 'PATCH',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {code: 'string', level: 1, parent_code: 'string', isic_reference: 'string'}
})
};
fetch('https://your-instance.iw-erp.de/api/opendata/nace_codes/42', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/nace_codes/42"
payload = { "data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
} }
headers = {"content-type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('PATCH', 'https://your-instance.iw-erp.de/api/opendata/nace_codes/42', [
'body' => '{"data":{"code":"string","level":1,"parent_code":"string","isic_reference":"string"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Patch,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/nace_codes/42"),
Content = new StringContent("{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/nace_codes/42")
.patch(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/nace_codes/42"
payload := strings.NewReader("{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with package:http (no controller in the iw_erp_api package)
import 'dart:convert';
import 'package:http/http.dart' as http;
final response = await http.patch(
Uri.parse('https://your-instance.iw-erp.de/api/opendata/nace_codes/42'),
headers: {'content-type': 'application/json'},
body: jsonEncode({
"data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
}
}),
);
print(response.body);{
"id": 42,
"name": "Beispiel",
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string",
"search_string": "string"
}Creates a single NaceCode
POST/api/opendata/nace_codes
Request body application/json
dataNaceCode2Show fields (4)
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
Responses
200Creates a single NaceCodeNaceCode
Show fields (7)
idintegerPrimary key of the NACE code. Internal ID.
codestringNACE code of the economic activity.
levelintegerHierarchy level of the code.
parent_codestringCode of the parent entry in the hierarchy.
isic_referencestringCorresponding ISIC code.
search_stringstringText that the entity can be searched by.
namestringName of the entity.
curl --request POST \
--url https://your-instance.iw-erp.de/api/opendata/nace_codes \
--header 'content-type: application/json' \
--data '
{
"data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
}
}
'const options = {
method: 'POST',
headers: {'content-type': 'application/json'},
body: JSON.stringify({
data: {code: 'string', level: 1, parent_code: 'string', isic_reference: 'string'}
})
};
fetch('https://your-instance.iw-erp.de/api/opendata/nace_codes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://your-instance.iw-erp.de/api/opendata/nace_codes"
payload = { "data": {
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
} }
headers = {"content-type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)<?php
require_once('vendor/autoload.php');
$client = new \GuzzleHttp\Client();
$response = $client->request('POST', 'https://your-instance.iw-erp.de/api/opendata/nace_codes', [
'body' => '{"data":{"code":"string","level":1,"parent_code":"string","isic_reference":"string"}}',
'headers' => [
'content-type' => 'application/json',
],
]);
echo $response->getBody();using System.Net.Http.Headers;
var client = new HttpClient();
var request = new HttpRequestMessage
{
Method = HttpMethod.Post,
RequestUri = new Uri("https://your-instance.iw-erp.de/api/opendata/nace_codes"),
Content = new StringContent("{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}")
{
Headers =
{
ContentType = new MediaTypeHeaderValue("application/json")
}
}
};
using (var response = await client.SendAsync(request))
{
response.EnsureSuccessStatusCode();
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}");
Request request = new Request.Builder()
.url("https://your-instance.iw-erp.de/api/opendata/nace_codes")
.post(body)
.addHeader("content-type", "application/json")
.build();
Response response = client.newCall(request).execute();package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://your-instance.iw-erp.de/api/opendata/nace_codes"
payload := strings.NewReader("{\"data\":{\"code\":\"string\",\"level\":1,\"parent_code\":\"string\",\"isic_reference\":\"string\"}}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("content-type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Dart with the iw_erp_api package
import 'package:iw_erp_api/clients/open_data_nace_code_controller.dart';
import 'package:iw_erp_api/logic/iw_api_state.dart';
import 'package:iw_erp_api/model/open_data_nace_code.dart';
IwApiState().host = 'your-instance.iw-erp.de';
final result = await OpenDataNaceCodeController.post(OpenDataNaceCode.fromJson({
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string"
}));
if (result.success) {
print(result.data);
}{
"id": 42,
"name": "Beispiel",
"code": "string",
"level": 1,
"parent_code": "string",
"isic_reference": "string",
"search_string": "string"
}